<?php
	// No direct access to this file
	defined('_JEXEC') or die('Restricted access');
	
	$document = JFactory::getDocument();
	$document->addStyleSheet(JURI::base() . 'media/com_jumbotron/css/jumbotron.css');

?>
<div id="JumbotronWrapper">
	<h1>
		<?php echo JText::_(COM_JUMBOTRON_HEADER_UPCOMING)?> 
		<?php echo JText::_(COM_JUMBOTRON_HEADER_SCHEDULE)?>
	</h1>
	
	<div id="JumbotronWrap">

		<?php 
			foreach ($this->games as $g):
			$url = 'index.php?option=com_jumbotron&view=game&id=' . $g->game_id;
			
		?>
			<div class="entry">
			<?php if ($this->escape($g->tourney) <> '') : ?>
				<div class="JumbotronLocation">
					<?php echo $this->escape($g->tourney) ?>
					<?php if ($this->escape($g->location) <> '') : ?>
						at 
						<?php echo $this->escape($g->location) ?>
					<?php endif; ?> 
				</div>
			<?php endif; ?>

				<a href="<?php echo JRoute::_($url); ?>">
					<?php
					if ($this->escape($g->tba) == '1') : 
						echo JHTML::_('date',$this->escape($g->game_date), JText::_('COM_JUMBOTRON_DATE_TBA'));
						echo JText::_('COM_JUMBOTRON_DATE_TIME_TBA');
					else:
						echo JHTML::_('date',$this->escape($g->game_date), JText::_('COM_JUMBOTRON_DATE_GAME')); 
					endif;
					?>
				</a> -
					<?php if ($this->escape($g->away9_school) >= '0') :
						echo $this->escape($g->away9_school); ?> 
						<?php echo $this->escape($g->away9_mascot) ?>, 
					<?php endif; 
					if ($this->escape($g->away8_school) >= '0') :
						echo $this->escape($g->away8_school); ?> 
						<?php echo $this->escape($g->away8_mascot) ?>, 
					<?php endif; 
					if ($this->escape($g->away7_school) >= '0') :
						echo $this->escape($g->away7_school); ?> 
						<?php echo $this->escape($g->away7_mascot) ?>, 
					<?php endif; 
					if ($this->escape($g->away6_school) >= '0') :
						echo $this->escape($g->away6_school); ?> 
						<?php echo $this->escape($g->away6_mascot) ?>, 
					<?php endif; 
					if ($this->escape($g->away5_school) >= '0') :
						echo $this->escape($g->away5_school); ?> 
						<?php echo $this->escape($g->away5_mascot) ?>, 
					<?php endif; 
					if ($this->escape($g->away4_school) >= '0') :
						echo $this->escape($g->away4_school); ?> 
						<?php echo $this->escape($g->away4_mascot) ?>, 
					<?php endif; 
					if ($this->escape($g->away3_school) >= '0') :
						echo $this->escape($g->away3_school); ?> 
						<?php echo $this->escape($g->away3_mascot) ?>, 
					<?php endif; 
					if ($this->escape($g->away2_school) >= '0') :
						echo $this->escape($g->away2_school); ?> 
						<?php echo $this->escape($g->away2_mascot) ?>, 
					<?php endif; 
					if ($this->escape($g->away_school) == '') : 
						 echo JText::_('COM_JUMBOTRON_TEAM_TBA'); ?> 
					<?php else : 
						echo $this->escape($g->away_school) ?> 
						<?php echo $this->escape($g->away_mascot) ?> 
					<?php endif;

					if ($this->escape($g->tourney) <> '') : 
						echo JText::_('COM_JUMBOTRON_VS'); ?> 
					<?php else : 
						echo JText::_('COM_JUMBOTRON_AT'); ?>  
					<?php endif; 

					echo $this->escape($g->home_school) ?>  
					<?php echo $this->escape($g->home_mascot) ?> 
					
					<?php if ($this->escape($g->tourney) == '') : ?>
						<?php if ($this->escape($g->location) <> '') : ?>
							<div class="JumbotronLocation2">
								<?php echo JText::_('COM_JUMBOTRON_TO_BE_PLAYED_AT'); ?> 
								<?php echo $this->escape($g->location) ?>.
							</div>
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->escape($g->game_intro) <> '') : ?>
						<div class="JumbotronNote">
							<?php echo JText::_('COM_JUMBOTRON_NOTE'); ?> 
							<?php echo $this->escape($g->game_intro) ?>
						</div>
					<?php endif; ?>

			</div>
		<?php endforeach ?>
		
		<p class="JumbotronFooter">Game times are subject to change without notice.</p>

	</div>
</div>